curl --request GET \
--url https://api.synctera.com/v2/relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"relationships": [
{
"additional_data": {
"percent_ownership": 35.75
},
"from_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"relationship_type": "BENEFICIAL_OWNER_OF",
"to_business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"tenant": "abcdef_ghijkl"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}List relationships
Retrieves paginated list of relationships viewable by the authorized requester.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Unique identifier for the person. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
The relationship type, any of the following. All direct businesses customers need at least one beneficial owner or controlling person.
BENEFICIAL_OWNER_OF– a person who directly or indirectly owns a portion of the business.MANAGING_PERSON_OF– a person who is an officer, director, or controlling person of an organization.OWNER_OF– a business with ownership of another business.
BENEFICIAL_OWNER_OF, MANAGING_PERSON_OF, OWNER_OF, PAYER_PAYEE Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Unique resource identifier
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Response
Relationship representation.
Array of business/person relationships.
Denotes the relationship between specified businesses.
- Business Owner
- Managing Person
- Beneficial Owner
- Payer/Payee
Show child attributes
Show child attributes
If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.
"a8937a0d"
Was this page helpful?

